import TransportStream = require('winston-transport');
declare class CustomTransport extends TransportStream {
    filename: string;
    constructor(options: {
        filename: string;
        level: string;
    });
    initialize(): void;
    setup(): void;
    readLog(): string | null;
    writeLog(info: any): void;
    log(info: any, callback: any): void;
}
export default CustomTransport;
